IRPCScheduledJobsAdmin.GetScheduledJobRunInfo

View as Markdown

Administration API / specialized admin session idempotent

Gets the run state of a scheduled job: running or not, last and next run, errors and progress.

ServiceScheduled jobs MFiles.IRPCScheduledJobsAdmin
gRPC method/MFiles.IRPCScheduledJobsAdmin/GetScheduledJobRunInfo
HTTP (mf-http-grpc)POST /grpc/v1/get-scheduled-job-run-info
RequestGetScheduledJobRunInfoRequest
ResponseGetScheduledJobRunInfoResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentyes
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: GetScheduledJobRunInfoRequest

A structure that specifies the request type for the corresponding method.

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
scheduled_jobint32The ID of the job.

Response: GetScheduledJobRunInfoResponse

A structure that specifies the response type for the corresponding method.

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
scheduled_job_run_infoScheduledJobRunInfoThe run state of the job.
scheduled_job_run_info.is_runningboolTrue if the job is currently running.
scheduled_job_run_info.next_run_utcgoogle.protobuf.TimestampThe next time the job will run. Zero to indicate no next run time.
scheduled_job_run_info.last_run_utcgoogle.protobuf.TimestampThe last time the job ran. Zero to indicate that the job has never run (or is still running for the first time).
scheduled_job_run_info.last_run_succeededboolTrue if the last run at ftLastRun was successful, false otherwise.
scheduled_job_run_info.last_run_errorsstringError string from the last run (if any).
scheduled_job_run_info.last_run_cancelledboolTrue if the job is cancelled.
scheduled_job_run_info.current_stepint32-1 or a current job step. 0 indicates the beginning. When positive, value depends on the underlying job that is being executed. Steps are numbered sequentially from 1 to forward.
scheduled_job_run_info.curent_step_completionint32-1 or the completion percent of a current job. This is always an estimate.
scheduled_job_run_info.outputScheduledJobOutputInfoThe output information on the job. Available only when the job is not running (e.g. bRunning and is false).
scheduled_job_run_info.output.idint32Job ID.
scheduled_job_run_info.output.messagestringGeneral output info message.
scheduled_job_run_info.output.typeJobTypeJob type.Values: JOB_TYPE_UNINITIALIZED (0), JOB_TYPE_BACKUP (1), JOB_TYPE_RESTORE (2), JOB_TYPE_COPY_VAULT (3), JOB_TYPE_VERIFY_VAULT (4), JOB_TYPE_ARCHIVE_OBJECTS (5), JOB_TYPE_ARCHIVE_OLD_VERSIONS (6), JOB_TYPE_RESTORE_FROM_ARCHIVE (7), JOB_TYPE_OPTIMIZE_VAULT (8), JOB_TYPE_RECALCULATE_PROPERTY (9), JOB_TYPE_MIGRATE_VAULT (10), JOB_TYPE_ENCRYPT_FILE_DATA (11).
scheduled_job_run_info.output.dataJobOutputInfoDataUnionThe job output info details as a union.